"Private" column and filter on the issue list

2011-06-09 15:11 - Robert Schneider

Status: Closed Start date: 2011-06-09

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed   

Description

Private issues are quite useful. However, one has to open the issue to see if it is private or public (for those that may see both).

Could you mark them anyhow in the ticket list, roadmap, gantt chart, ... ? In the ticket list there could be an own column for that. For a

first step it may would be sufficient if there is just an icon beside the ticket number (red circle with a 'p' inside, for example). The own

column would imply that it can be sorted by privacy. More sophisticated but also more useful, of course.

What do you think?

Related issues:

Related to Redmine - Feature #7414: Private issues Closed 2011-01-22

Related to Redmine - Feature #10914: Include is_private setting in xml/json o... Closed

Has duplicate Redmine - Feature #10463: Private colum/filter Closed

Associated revisions

Revision 9919 - 2012-07-05 15:29 - Jean-Philippe Lang

Makes Private column available on the issue list (#8577).

Revision 9920 - 2012-07-05 15:51 - Jean-Philippe Lang

Adds Private filter to the issue list (#8577).

History

#1 - 2011-06-23 11:09 - Stéphane Allemand

I like it.

It will be usefull to Add Filter and Column into the Issue List.

Stephane

#2 - 2011-06-29 18:05 - claude g

+1

I think it should be with a highest priority as almost a bug (all property  fields of an issue and more are in filters except this new one).

#3 - 2011-07-25 10:05 - Hans Meyer

- Assignee set to Jean-Philippe Lang

+1

VERY important for our setup!

#4 - 2011-07-25 13:31 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

Please don't assign issues.

#5 - 2011-07-25 15:53 - Robert Schneider

Etienne Massip wrote:

Please don't assign issues.
 This implies another feature request ;-)

#6 - 2011-07-26 10:57 - Pavel Konstantinov

+1 important feature.

Need to add: filter, column, action for group issue edit actions

#7 - 2011-09-06 17:25 - ju mar

+1, feature seams crippled without the ability to use the "private" flag in filters

#8 - 2011-09-06 18:04 - Etienne Massip

- Target version set to Candidate for next major release

#9 - 2012-06-06 13:44 - Radek Karban

+1

#10 - 2012-07-05 13:59 - Andreas Zoufal

+1

This is exactly what I need. Private flag is very useful!

#11 - 2012-07-05 15:54 - Jean-Philippe Lang

- Subject changed from Visualize private issues to "Private" column and filter on the issue list

- Category changed from UI to Issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.1.0

- Resolution set to Fixed

For a first step it may would be sufficient if there is just an icon beside the ticket number

 There's a css class for private issues so you can tweak your stylesheet.

The own column would imply that it can be sorted by privacy. More sophisticated but also more useful, of course.

 "Private" column and filter are now added.

#12 - 2013-09-21 14:28 - Toshi MARUYAMA

- Related to Feature #10914: Include is_private setting in xml/json output  added
